<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_logo_';

//
//Get image url
$src = '';
if ( $attach_id = $setting->getSetting( $key . 'image' ) ) {
    $setimg = true;
    $data   = wp_get_attachment_image_src( $attach_id, 'full' );
    $src    = $data[0];
}
//
//Get Width
$width = 'auto';
if ( $width_value = $setting->getSetting( $key . 'width' ) ){
    $width = $width_value . 'px';
}
//
//Get container style
//
$style  = ' style="overflow:hidden;display:inline-block;';
//
//Height
$height = 'auto';
if ( $height_value = $setting->getSetting( $key . 'height' ) ){
    $height = $height_value . 'px';
}
$style .= 'height:' . $height . ';';
$style .= '"';

$img = '<img src="' . $src . '" alt="" style="display:block;width:' . $width . ';">';
//
//Align
$align = $setting->getSetting( $key . 'align', 'left' );
?>
<div class="ipbar_content_type ipbar_content_logo" style="text-align:<?php echo $align; ?>">
    <div class="ipbar_content_logo_edge"<?php echo $style; ?>>
        <?php
        if ( $setting->getSetting( $key . 'link_active', 'false' ) == 'true' ) 
        {
            $url  = $setting->getSetting( $key . 'link_url', '#' );
            $neww = $setting->getSetting( $key . 'link_newwindow', 'false' );
            $target = '';
            if ( $neww == 'true' ) {
                $target = ' target="_blank"';
            }
            
            echo '<a href="' . $url . '"' . $target . '>';
            echo $img;
            echo '</a>';
        }
        else {
            echo $img;
        }
        ?>
    </div>
</div>