<?php
/**
 * Position class
 */
$setting = $this->setting;
$pclass  = $this->layout_class;
//
//Position
$pclass .= ' ipbar_position_' . $setting->getSetting( 'position', 'fixed_top' );
//
//Visible
$visible = $setting->getSetting( 'default_visibility', 'true' );
if ( $visible == 'false' ) {
    $pclass .= ' ipbar_is_hidden';
} else {
    $pclass .= ' ipbar_is_show';
}
//
// button position
$pclass .= ' ipbar_btnpos_' . $setting->getSetting( 'open_button_position', 'inner_right' );
//
//Audio
$audio = $setting->getSetting( 'audio', 0 );
if ( $audio == 0 ) {
    $pclass .= ' ipbar_audio_off';
} else {
    $pclass .= ' ipbar_audio_on';
}


/**
 * Main class
 */
$mclass = '';
//
//Gradient
if ( $setting->getSetting( 'gradient_color', 'false' ) == 'true') {
    $mclass .= ' ipbar_gradient';
}
//
//Radius
$mclass .= ' ipbar_radius_' . $setting->getSetting( 'border_radius', 'none' );
//
//Shadow
$mclass .= ' ipbar_shadow_' . $setting->getSetting( 'shadow', 'none' );

/**
 * Main style
 */
$mstyle = ' style="';
//
//Height
$height = $setting->getSetting( 'height' );
if ( ! empty( $height )) {
    $mstyle .= ' height:' . $height . 'px;';
}
//
//Background Color
$mstyle .= ' background-color:' . $setting->getSetting( 'bg_color', '#333333' ) . ';';
//
//Color
$mstyle .= ' color:' . $setting->getSetting( 'text_color', '#ffffff' ) . ';';
//
//Border
$bowidth = $setting->getSetting( 'border_width', 2 );
if ( ! empty( $bowidth )) {
    $bocolor = $setting->getSetting( 'border_color', '#222222' );
    $mstyle  .= ' border: ' . $bowidth . 'px solid ' . $bocolor . ';';
}
$mstyle .= '"';

//
//Get attribute data
//
//Delay
$data   = '';
$delay  = $setting->getSetting( 'delayed_time', 0 );
$data  .= ' data-delay="' . $delay . '"';
//
//Animation
$effect  = $setting->getSetting( 'animation_type', 'linear' );
$data   .= ' data-effect="' . $effect . '"';
//
//Animation speed
$speed  = $setting->getSetting( 'animation_speed', 'md' );
$data  .= ' data-speed="' . $speed . '"';

/**
 * Inner style style
 */
$istyle = ' style="';
//
//Space
$space = $setting->getSetting( 'edge_space' );
if ( ! empty( $space )) {
    $istyle .= ' margin-right:' . $space . 'px;margin-left:' . $space . 'px;';
}
$istyle .= '"';
?>
<div class="ipbar ipbar_front<?php echo $pclass; ?>">
    <div class="ipbar_inner"<?php echo $istyle; ?>>
        <div class="ipbar_main">
            <div class="ipbar_main_content<?php echo $mclass; ?>"<?php echo $mstyle; ?><?php echo $data; ?>>