<?php
$setting = $this->setting;
$bar     = $this->bar;
$layout  = $setting->getSetting( 'layout', 'one_column' );
?>
<h2 class="ipbe-field-title py10" style="margin: 0 -20px 20px -10px;"><?php _e( 'Column Options', 'wp_combo_bar' ); ?></h2>

<div class="ipbe-panel ipbar-column-setting" data-column="1">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-th-large"></i> 
            <?php _e( 'First Column', 'wp_combo_bar' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        <?php
        $this->column = 1;
        $this->view( 'edit/content/fields' ); 
        ?>
    </div>
</div>

<?php
if ( $layout != 'one_column' ) :
?>
<div class="ipbe-panel ipbar-column-setting" data-column="2">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-th-large"></i> 
            <?php _e( 'Second Column', 'wp_combo_bar' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        <?php
        $this->column = 2;
        $this->view( 'edit/content/fields' ); 
        ?>
    </div>
</div>
<?php
endif;
?>

<?php
if ( $layout != 'one_column' && 
     $layout != 'two_column_6_6' &&
     $layout != 'two_column_3_9' &&
     $layout != 'two_column_9_3'
) :
?>
<div class="ipbe-panel ipbar-column-setting" data-column="3">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-th-large"></i> 
            <?php _e( 'Third Column', 'wp_combo_bar' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        <?php
        $this->column = 3;
        $this->view( 'edit/content/fields' ); 
        ?>
    </div>
</div>
<?php
endif;
?>