<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_image_';

//
//Get image url
$src = '';
if ( $attach_id = $setting->getSetting( $key . 'image' ) ) {
    $setimg = true;
    $data   = wp_get_attachment_image_src( $attach_id, 'full' );
    $src    = $data[0];
}
//
//Get Width
$width = 'auto';
if ( $width_value = $setting->getSetting( $key . 'width' ) ){
    $width = $width_value . 'px';
}
//
//Get container style
//
$style  = ' style="overflow:hidden;display:inline-block;';
//
//Height
$height = 'auto';
if ( $height_value = $setting->getSetting( $key . 'height' ) ){
    $height = $height_value . 'px';
}
$style .= 'height:' . $height . ';';
//
//Border
if ( $border_width = $setting->getSetting( $key . 'border_width' )) {
    $border_color = $setting->getSetting( $key . 'border_color' );
    $style .= 'border:' . $border_width . 'px solid ' . $border_color . ';';
}
$style .= '"';
//
//Get container class
//
$class = ' ipbar_radius_' . $setting->getSetting( $key . 'border_radius', 'none' );
//
//Align
$align = $setting->getSetting( $key . 'align', 'left' );
?>
<div class="ipbar_content_type ipbar_content_image" style="text-align:<?php echo $align; ?>">
    <div class="ipbar_content_image_edge<?php echo $class; ?>"<?php echo $style; ?>>
        <img src="<?php echo $src; ?>" alt="" style="display:block;width:<?php echo $width; ?>;">
    </div>
</div>