<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_menu_';

//
//Get menu id
$menuId     = $setting->getSetting( $key . 'select' );
$menu_style = $setting->getSetting( $key . 'style', 'line' );
//
//Get class 
$class  = 'ipbar_menu_inner';
$class .= ' ipbar_menu_' . $setting->getSetting( $key . 'align', 'left' );
$class .= ' ipbar_menu_' . $menu_style;

//
//color
$color = $setting->getSetting( $key . 'color', '#ffffff' );
//
//bgcolor
$bgcolor = $setting->getSetting( $key . 'bgcolor', '#333333' );
//
//hover color
$hcolor = $setting->getSetting( $key . 'hover_color', '#ffffff' );
//
//hover bgcolor
$hbgcolor = $setting->getSetting( $key . 'hover_bgcolor', '#000000' );

if ( $menu_style == 'line' ) :
?>
<style>
    .ipbar_menu .menu>.menu-item>a {
        color: <?php echo $color; ?>;
        border-color: <?php echo $bgcolor; ?>!important;
    }
    .ipbar_menu .menu>.menu-item>a:hover {
        color: <?php echo $hcolor; ?>;
        border-color: <?php echo $hbgcolor; ?>!important;
    }
    .ipbar_menu .sub-menu a {
        color: <?php echo $color; ?>;
        background-color: <?php echo $bgcolor; ?>;
    }
    .ipbar_menu .sub-menu a:hover {
        color: <?php echo $hcolor; ?>;
        background-color: <?php echo $hbgcolor; ?>;
    }
</style>
<?php
else :
?>
<style>
    .ipbar_menu .menu-item a {
        color: <?php echo $color; ?>;
        background-color: <?php echo $bgcolor; ?>;
    }
    .ipbar_menu .menu-item a:hover {
        color: <?php echo $hcolor; ?>;
        background-color: <?php echo $hbgcolor; ?>;
    }
</style>
<?php
endif;

//
//Get style
$style  = ' style="';
//
//Get font-family name
$ffname = $setting->getSetting( $key . 'font_family', 'roboto' );
$ffont  = IPBar_Font::getFontName( $ffname );
$style .= 'font-family:' . $ffont . ';';
//
//Font size
$font_size = absint( $setting->getSetting( $key . 'font_size', 14 ) );
$style  .= 'font-size:' . $font_size . 'px;';
$style  .= '"';
?>

<div class="ipbar_content_type ipbar_menu"<?php echo $style; ?>>
    <div class="<?php echo $class; ?>">
        <?php
        wp_nav_menu( array( 'menu' => $menuId ) );
        ?>
    </div>
</div>